org.apache.hadoop.mapred

## Enum Task.Counter

- java.lang.Object
- - java.lang.Enum<Task.Counter>
  - - org.apache.hadoop.mapred.Task.Counter

- All Implemented Interfaces:
    Serializable, Comparable<Task.Counter>
  Enclosing class:
    Task

  Deprecated.
  Provided for compatibility. Use `TaskCounter` instead.

      @Deprecated
      public static enum Task.Counter
      extends Enum<Task.Counter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMBINE_INPUT_RECORDS` Deprecated.
    `COMBINE_OUTPUT_RECORDS` Deprecated.
    `COMMITTED_HEAP_BYTES` Deprecated.
    `CPU_MILLISECONDS` Deprecated.
    `MAP_INPUT_BYTES` Deprecated.
    `MAP_INPUT_RECORDS` Deprecated.
    `MAP_OUTPUT_BYTES` Deprecated.
    `MAP_OUTPUT_MATERIALIZED_BYTES` Deprecated.
    `MAP_OUTPUT_RECORDS` Deprecated.
    `MAP_PHYSICAL_MEMORY_BYTES_MAX` Deprecated.
    `MAP_SKIPPED_RECORDS` Deprecated.
    `MAP_VIRTUAL_MEMORY_BYTES_MAX` Deprecated.
    `PHYSICAL_MEMORY_BYTES` Deprecated.
    `REDUCE_INPUT_GROUPS` Deprecated.
    `REDUCE_INPUT_RECORDS` Deprecated.
    `REDUCE_OUTPUT_RECORDS` Deprecated.
    `REDUCE_PHYSICAL_MEMORY_BYTES_MAX` Deprecated.
    `REDUCE_SHUFFLE_BYTES` Deprecated.
    `REDUCE_SKIPPED_GROUPS` Deprecated.
    `REDUCE_SKIPPED_RECORDS` Deprecated.
    `REDUCE_VIRTUAL_MEMORY_BYTES_MAX` Deprecated.
    `SPILLED_RECORDS` Deprecated.
    `SPLIT_RAW_BYTES` Deprecated.
    `VIRTUAL_MEMORY_BYTES` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Task.Counter` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static Task.Counter[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAP_INPUT_RECORDS

          public static final Task.Counter MAP_INPUT_RECORDS

      Deprecated.

    - #### MAP_OUTPUT_RECORDS

          public static final Task.Counter MAP_OUTPUT_RECORDS

      Deprecated.

    - #### MAP_SKIPPED_RECORDS

          public static final Task.Counter MAP_SKIPPED_RECORDS

      Deprecated.

    - #### MAP_INPUT_BYTES

          public static final Task.Counter MAP_INPUT_BYTES

      Deprecated.

    - #### MAP_OUTPUT_BYTES

          public static final Task.Counter MAP_OUTPUT_BYTES

      Deprecated.

    - #### MAP_OUTPUT_MATERIALIZED_BYTES

          public static final Task.Counter MAP_OUTPUT_MATERIALIZED_BYTES

      Deprecated.

    - #### COMBINE_INPUT_RECORDS

          public static final Task.Counter COMBINE_INPUT_RECORDS

      Deprecated.

    - #### COMBINE_OUTPUT_RECORDS

          public static final Task.Counter COMBINE_OUTPUT_RECORDS

      Deprecated.

    - #### REDUCE_INPUT_GROUPS

          public static final Task.Counter REDUCE_INPUT_GROUPS

      Deprecated.

    - #### REDUCE_SHUFFLE_BYTES

          public static final Task.Counter REDUCE_SHUFFLE_BYTES

      Deprecated.

    - #### REDUCE_INPUT_RECORDS

          public static final Task.Counter REDUCE_INPUT_RECORDS

      Deprecated.

    - #### REDUCE_OUTPUT_RECORDS

          public static final Task.Counter REDUCE_OUTPUT_RECORDS

      Deprecated.

    - #### REDUCE_SKIPPED_GROUPS

          public static final Task.Counter REDUCE_SKIPPED_GROUPS

      Deprecated.

    - #### REDUCE_SKIPPED_RECORDS

          public static final Task.Counter REDUCE_SKIPPED_RECORDS

      Deprecated.

    - #### SPILLED_RECORDS

          public static final Task.Counter SPILLED_RECORDS

      Deprecated.

    - #### SPLIT_RAW_BYTES

          public static final Task.Counter SPLIT_RAW_BYTES

      Deprecated.

    - #### CPU_MILLISECONDS

          public static final Task.Counter CPU_MILLISECONDS

      Deprecated.

    - #### PHYSICAL_MEMORY_BYTES

          public static final Task.Counter PHYSICAL_MEMORY_BYTES

      Deprecated.

    - #### VIRTUAL_MEMORY_BYTES

          public static final Task.Counter VIRTUAL_MEMORY_BYTES

      Deprecated.

    - #### COMMITTED_HEAP_BYTES

          public static final Task.Counter COMMITTED_HEAP_BYTES

      Deprecated.

    - #### MAP_PHYSICAL_MEMORY_BYTES_MAX

          public static final Task.Counter MAP_PHYSICAL_MEMORY_BYTES_MAX

      Deprecated.

    - #### MAP_VIRTUAL_MEMORY_BYTES_MAX

          public static final Task.Counter MAP_VIRTUAL_MEMORY_BYTES_MAX

      Deprecated.

    - #### REDUCE_PHYSICAL_MEMORY_BYTES_MAX

          public static final Task.Counter REDUCE_PHYSICAL_MEMORY_BYTES_MAX

      Deprecated.

    - #### REDUCE_VIRTUAL_MEMORY_BYTES_MAX

          public static final Task.Counter REDUCE_VIRTUAL_MEMORY_BYTES_MAX

      Deprecated.

  - ### Method Detail

    - #### values

          public static Task.Counter[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Task.Counter c : Task.Counter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Task.Counter valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.